// PCMMORPH: MESH MORPHING EXAMPLE
// *******************************
// Suggested frames: 30 - 40, cyclic.
// Aspect Ratio is 1:1 (eg. 160x160, 300x300, etc.)

// CAMERA AND LIGHTS
   camera {right x up y location -z*3}
   light_source {<-200, 200, -400> rgb 1.2}
   light_source {<200, -50, -100> rgb <.3, .4, .5> shadowless}

// BACKGROUND PLANE
   plane {z, 5 pigment {checker rgb .3, rgb .7 scale 1.5}}

// MESH MORPHING OPTIONS
   #include "pcmmorph.mcr"
   #declare morph_smoothing = 2;
   #declare debug_progress = true;
   #declare morph_mesh_textures = array[3][1] {
      {texture {pigment {rgbf <1, 1, .8, .8>} normal {bumps .6 scale .2} finish {specular .2 roughness .05}}},
      {texture {pigment {rgbf <1, .8, .9, .8>} normal {ripples 1 scale 3 frequency 10} finish {specular .2 roughness .05}}},
      {texture {pigment {rgbf <1, 1, .8, .8>} normal {bumps .6 scale .2} finish {specular .2 roughness .05}}}
      }

// CREATE MORPHED MESH
   object {morph_meshes (array[3] {"sphere.pcm", "torus.pcm", "sphere.pcm"}, clock*2)
      interior {caustics .6}}
